<?php
/**
 * Customizer Options - Theme Color
 *
 * @package One_Hive
 */

$defaults = one_hive_get_default_theme_options();

$header_background_choices = one_hive_get_header_color_choices();

// Section - Header
$wp_customize->add_section( 'one_hive_header_option', array(
	'priority'		=> 20,
	'title'			=> esc_html__( 'Header', 'one-hive' ),
	'panel'			=> 'one_hive_theme_options'	
) );

// Enable Top Header
$wp_customize->add_setting( 'one_hive_enable_top_header', array(
	'sanitize_callback'	=> 'one_hive_sanitize_checkbox',
	'default'			=> $defaults['one_hive_enable_top_header'],
) );

$wp_customize->add_control( 'one_hive_enable_top_header', array(
	'label'				=> esc_html__( 'Enable Top Header', 'one-hive' ),
	'section'			=> 'one_hive_header_option',
	'type'				=> 'checkbox',
) );

// Header Background
$wp_customize->add_setting( 'one_hive_header_color_layout', array(
	'sanitize_callback'	=> 'one_hive_sanitize_select',
	'default'			=> $defaults['one_hive_header_color_layout'],
) );

$wp_customize->add_control( 'one_hive_header_color_layout', array(
	'label'				=> esc_html__( 'Header Background Option', 'one-hive' ),
	'section'			=> 'one_hive_header_option',
	'type'				=> 'select',
	'choices'			=> $header_background_choices,
) );

// Header Color Background
$wp_customize->add_setting( 'one_hive_header_color', array(
	'sanitize_callback'	=> 'sanitize_hex_color',
	'default'			=> $defaults['one_hive_header_color'],
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'one_hive_header_color', array(
	'label'				=> esc_html__( 'Header Background Color', 'one-hive' ),
	'section'			=> 'one_hive_header_option',
	'active_callback'	=> 'one_hive_is_color_header_color_layout'
) ) );

// Header Gradient Background
$wp_customize->add_setting( 'one_hive_header_gradient_color_one', array(
	'sanitize_callback'	=> 'sanitize_hex_color',
	'default'			=> $defaults['one_hive_header_gradient_color_one'],
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'one_hive_header_gradient_color_one', array(
	'label'				=> esc_html__( 'Header Background Gradient Color - Color One', 'one-hive' ),
	'section'			=> 'one_hive_header_option',
	'active_callback'	=> 'one_hive_is_gradient_header_color_layout'
) ) );

$wp_customize->add_setting( 'one_hive_header_gradient_color_two', array(
	'sanitize_callback'	=> 'sanitize_hex_color',
	'default'			=> $defaults['one_hive_header_gradient_color_two'],
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'one_hive_header_gradient_color_two', array(
	'label'				=> esc_html__( 'Header Background Gradient Color - Color Two', 'one-hive' ),
	'section'			=> 'one_hive_header_option',
	'active_callback'	=> 'one_hive_is_gradient_header_color_layout'
) ) );