<?php
/**
 * Customizer Options - Social Links
 *
 * @package One_Hive
 */

$defaults = one_hive_get_default_theme_options();

// Section - Social Links
$wp_customize->add_section( 'one_hive_social_links_option', array(
	'priority'		=> 20,
	'title'			=> esc_html__( 'Social Links', 'one-hive' ),
	'panel'			=> 'one_hive_theme_options'	
) );

// Facebook Link
$wp_customize->add_setting( 'one_hive_facebook_link', array(
	'sanitize_callback'	=> 'esc_url_raw',
	'default'			=> $defaults['one_hive_facebook_link'],
) );

$wp_customize->add_control( 'one_hive_facebook_link', array(
	'label'				=> esc_html__( 'Facebook Link', 'one-hive' ),
	'section'			=> 'one_hive_social_links_option',
	'type'				=> 'url',
) );

// Twitter Link
$wp_customize->add_setting( 'one_hive_twitter_link', array(
	'sanitize_callback'	=> 'esc_url_raw',
	'default'			=> $defaults['one_hive_twitter_link'],
) );

$wp_customize->add_control( 'one_hive_twitter_link', array(
	'label'				=> esc_html__( 'Twitter Link', 'one-hive' ),
	'section'			=> 'one_hive_social_links_option',
	'type'				=> 'url',
) );

// Linkedin Link
$wp_customize->add_setting( 'one_hive_linkedin_link', array(
	'sanitize_callback'	=> 'esc_url_raw',
	'default'			=> $defaults['one_hive_linkedin_link'],
) );

$wp_customize->add_control( 'one_hive_linkedin_link', array(
	'label'				=> esc_html__( 'Linkedin Link', 'one-hive' ),
	'section'			=> 'one_hive_social_links_option',
	'type'				=> 'url',
) );

// Instagram Link
$wp_customize->add_setting( 'one_hive_instagram_link', array(
	'sanitize_callback'	=> 'esc_url_raw',
	'default'			=> $defaults['one_hive_instagram_link'],
) );

$wp_customize->add_control( 'one_hive_instagram_link', array(
	'label'				=> esc_html__( 'Instagram Link', 'one-hive' ),
	'section'			=> 'one_hive_social_links_option',
	'type'				=> 'url',
) );

// Dribble Link
$wp_customize->add_setting( 'one_hive_dribble_link', array(
	'sanitize_callback'	=> 'esc_url_raw',
	'default'			=> $defaults['one_hive_dribble_link'],
) );

$wp_customize->add_control( 'one_hive_dribble_link', array(
	'label'				=> esc_html__( 'Dribble Link', 'one-hive' ),
	'section'			=> 'one_hive_social_links_option',
	'type'				=> 'url',
) );

// VK Link
$wp_customize->add_setting( 'one_hive_vk_link', array(
	'sanitize_callback'	=> 'esc_url_raw',
	'default'			=> $defaults['one_hive_vk_link'],
) );

$wp_customize->add_control( 'one_hive_vk_link', array(
	'label'				=> esc_html__( 'VK Link', 'one-hive' ),
	'section'			=> 'one_hive_social_links_option',
	'type'				=> 'url',
) );